<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Http\Request;

class TransferClientMail extends Mailable
{
    use Queueable, SerializesModels;

    public $data;



    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data)
    {
        $this->data = $data;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this
        ->to($this->data->register_email)
        ->subject('Domain Transfer - AryanIct.com')
        ->view('Mail.TransferClientMail')->with(['data'=>$this->data]);
    }
}
